﻿using Newtonsoft.Json;

namespace LuxSciWebApiWrapper.Models.Authentication
{
    [JsonObject]
    public abstract class AuthRequest
    {
        [JsonProperty("token")]
        public string Token { get; set; }

        [JsonProperty("secret")]
        public string Secret { get; set; }

        [JsonProperty("debug")]
        public string Debug { get; set; }

        [JsonProperty("date")]
        public string Date { get; set; }

        [JsonProperty("signature")]
        public string Signature { get; set; }
    }

    [JsonObject]
    public class AccountAuthRequest : AuthRequest
    {
    }

        [JsonObject]
    public class UserAuthRequest :AuthRequest
    {
        [JsonProperty("user")]
        public string User { get; set; }

        [JsonProperty("pass")]
        public string Password { get; set; }

    }
}
