﻿using Newtonsoft.Json;
using System;

namespace LuxSciWebApiWrapper.Models
{
    [JsonObject]
    public class UserProfile
    {
        [JsonProperty("last_access_date")]
        public DateTime LastAccessDate { get; set; }

        [JsonProperty("sms")]
        public string Sms { get; set; }

        [JsonProperty("disk_quota")]
        public long DiskQuota { get; set; }

        [JsonProperty("status")]
        public string Status { get; set; }

        [JsonProperty("disk_usage")]
        public string DiskUsage { get; set; }

        [JsonProperty("contact")]
        public string Contact { get; set; }

        [JsonProperty("domainname")]
        public string Domainname { get; set; }

        [JsonProperty("custom3")]
        public string Custom3 { get; set; }

        [JsonProperty("state")]
        public string State { get; set; }

        [JsonProperty("over_quota")]
        public long OverQuota { get; set; }

        [JsonProperty("city")]
        public string City { get; set; }

        [JsonProperty("fax")]
        public string Fax { get; set; }

        [JsonProperty("user")]
        public string User { get; set; }

        [JsonProperty("company")]
        public string Company { get; set; }

        [JsonProperty("country")]
        public string Country { get; set; }

        [JsonProperty("uid")]
        public string Uid { get; set; }

        [JsonProperty("flags")]
        public string[] Flags { get; set; }

        [JsonProperty("email2")]
        public string Email2 { get; set; }

        [JsonProperty("services")]
        public string[] Services { get; set; }

        [JsonProperty("email1")]
        public string Email1 { get; set; }

        [JsonProperty("street1")]
        public string Street1 { get; set; }

        [JsonProperty("custom1")]
        public string Custom1 { get; set; }

        [JsonProperty("modified")]
        public DateTime Modified { get; set; }

        [JsonProperty("created")]
        public DateTimeOffset Created { get; set; }

        [JsonProperty("zip")]
        public string Zip { get; set; }

        [JsonProperty("custom2")]
        public string Custom2 { get; set; }

        [JsonProperty("phone1")]
        public string Phone1 { get; set; }

        [JsonProperty("street2")]
        public string Street2 { get; set; }

        [JsonProperty("phone2")]
        public string Phone2 { get; set; }
    }
}
